/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers.strategy;

/**
 * Provides tokens for Firefox
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: FirefoxTokensProvider.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class FirefoxTokensProvider extends RegexTokensProvider {

	//private static String regex = "Mozilla/(\\d.\\d)\\s*(?:\\(([^;]*);?\\s*([^;]*);?\\s*([^;]*);?\\s*([^;]*);?\\s*(rv.*);?\\s*(.*)?\\))(?:.*)Gecko/(\\d+)?(.*)?Firefox/([\\w\\.]+)?(.*)?";
	private static final String regex = "Mozilla/5.0\\s*(?:\\(([^;]*);?\\s*U;\\s*([^;]*);?\\s*([^;]*);?\\s*(?:rv.*);?\\s*(?:.*)?\\))(?:.*)Gecko/(?:[\\d]+)?(?:.*)?Firefox/(\\d.\\w)(?:[\\.\\w]+)?\\s*(.*)?";

	public FirefoxTokensProvider() {
		super(regex, new int[] { 1, 1, 1, 2, 0});
	}
	

}
