/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers.strategy;

/**
 * Provide tokens for Nokia user agent contain a version number as d.d.d.
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: NokiaDDDProvider.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class NokiaDDDProvider extends RegexTokensProvider {

	private static String regex = "(.*)\\s+(Nokia.*)/(\\d+)\\.(\\d+)\\.(\\d+)(.*)";

	public NokiaDDDProvider() {
		super(regex, new int[] { 10, 10, 4, 2, 1, 1 });
	}

}
