/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;

 /**
  * This is the {@link WURFLModel} observer.
  * 
  * @author WURFL-PRO SRL, Rome, Italy
  * @version $Id: WURFLModelListener.java 1045 2009-03-09 15:52:53Z filippo.deluca $
  */
public interface WURFLModelListener {

	/** 
	 * Fired when a model modify it's internal state: a device is added or removed to model.
	 * 
	 * @param event The event fired by model.
	 */
	public void modelChange(WURFLModelEvent event);

}
